// BadDlg.cpp : implementation file
//
//
// SyncURLs version 1.0
// Copyright 1998 Ziff-Davis Inc.
// First published in PC Magazine, US Edition
// January 6, 1998
// Written by Gregory A. Wolking
//

#include "stdafx.h"
#include "SyncURLs.h"
#include "BadDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBadDlg dialog


CBadDlg::CBadDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CBadDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CBadDlg)
	m_lblBadPageName = _T("");
	m_txtNewURL = _T("");
	m_txtOriginalURL = _T("");
	//}}AFX_DATA_INIT
}

void CBadDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CBadDlg)
	DDX_Control(pDX, IDC_txtNewURL, m_edtNewURL);
	DDX_Text(pDX, IDC_lblBadPageName, m_lblBadPageName);
	DDX_Text(pDX, IDC_txtNewURL, m_txtNewURL);
	DDX_Text(pDX, IDC_txtOriginalURL, m_txtOriginalURL);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CBadDlg, CDialog)
	//{{AFX_MSG_MAP(CBadDlg)
	ON_BN_CLICKED(IDC_cmdSkip, OncmdSkip)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBadDlg message handlers

void CBadDlg::OncmdSkip() 
{
	m_bSkip = TRUE;
	EndDialog(IDOK);
}

BOOL CBadDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	UpdateData(FALSE);
	m_edtNewURL.SetFocus();
	m_edtNewURL.SetSel(0xFFFF);
	return FALSE;
}
