// MyTree.cpp : implementation file
//
//
// SyncURLs version 1.0
// Copyright 1998 Ziff-Davis Inc.
// First published in PC Magazine, US Edition
// January 6, 1998
// Written by Gregory A. Wolking
//

#include "stdafx.h"
#include "SyncURLs.h"
#include "MyTree.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMyTree

CMyTree::CMyTree()
{
}

CMyTree::~CMyTree()
{
}


BEGIN_MESSAGE_MAP(CMyTree, CTreeCtrl)
	//{{AFX_MSG_MAP(CMyTree)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMyTree message handlers

HTREEITEM CMyTree::InsertItem(LPTV_INSERTSTRUCT lpInsertStruct)
{
	if (lpInsertStruct->hInsertAfter == TVI_SORT)
	{
		lpInsertStruct->hInsertAfter = TVI_FIRST;
		if (lpInsertStruct->hParent != TVI_ROOT)
		{
			HTREEITEM hItem;
			char buff[MAX_PATH];
			TV_ITEM info;
			info.mask = TVIF_TEXT | TVIF_IMAGE;
			info.pszText = buff;
			info.cchTextMax = sizeof(buff);
			hItem = GetChildItem(lpInsertStruct->hParent);
			while (hItem != NULL)
			{
				info.hItem = hItem;
				GetItem(&info);
				if (lpInsertStruct->item.iImage != 1)
				{
					if (info.iImage == 1)
						break;
					if (stricmp(info.pszText, lpInsertStruct->item.pszText) > 0)
						break;
				}
				else
				{
					if (info.iImage == 1)
						if (stricmp(info.pszText, lpInsertStruct->item.pszText) > 0)
							break;
				}
				lpInsertStruct->hInsertAfter = hItem;
				hItem = GetNextSiblingItem(hItem);
			}
		}
	}
	return CTreeCtrl::InsertItem(lpInsertStruct);
}
